Subject: Re: bug#479: xcfe4-power-manager: Can't configure laptop lid

From: Mark Hindley <[email-masked]>
Date: Tue, 16 Jun 2020 10:48:48 +0100

On Mon, Jun 15, 2020 at 01:02:43PM -0500, Patrick wrote:
> Hi Mark, sorry to butt in mid thread.  Having this same issue on a Lenovo
> T61.  The directory you reference below is /proc/acpi/button/lid/LID on this
> laptop with Beowulf newly updated.  I can confirm that state does change
> with lid position. xfce-power-manager debug does not notice the lid change
> though it does backlight changes, and keyboard based suspends...
> 
> toggling between elogind lid switch settings seems to make no difference.

Thanks. Yes it seems as if it is the same issue.

I don't have hardware to test on, however when I was given temporary access  to
some I found that

 xfconf-query -c xfce4-power-manager -p /xfce4-power-manager/logind-handle-lid-switch

returned true. And setting it to false with

 xfconf-query -c xfce4-power-manager -p /xfce4-power-manager/logind-handle-lid-switch -s false

fixed the issue.

However, Michaela said that didn't make any difference for her.

Can you try?

Thanks.

Mark